package com.zhongzheng.modules.order.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.zhongzheng.modules.order.bo.OrderCouponAddBo;
import com.zhongzheng.modules.order.bo.OrderCouponEditBo;
import com.zhongzheng.modules.order.bo.OrderCouponQueryBo;
import com.zhongzheng.modules.order.bo.OrderGoodsQueryBo;
import com.zhongzheng.modules.order.domain.OrderCoupon;
import com.zhongzheng.modules.order.domain.OrderGoods;
import com.zhongzheng.modules.order.vo.OrderCouponVo;

import java.util.Collection;
import java.util.List;

/**
 * 订单优惠券 Service接口
 *
 * @author ruoyi
 * @date 2021-07-01
 */
public interface IOrderCouponService extends IService<OrderCoupon> {
	/**
	 * 查询单个
	 * @return
	 */
	OrderCouponVo queryById(Long id);

	OrderCoupon queryBySn(String orderSn);

	List<OrderCoupon> queryOrderCouponList(OrderCouponQueryBo bo);

	/**
	 * 查询列表
	 */
	List<OrderCouponVo> queryList(OrderCouponQueryBo bo);

	/**
	 * 根据新增业务对象插入订单优惠券
	 * @param bo 订单优惠券 新增业务对象
	 * @return
	 */
	Boolean insertByAddBo(OrderCouponAddBo bo);

	/**
	 * 根据编辑业务对象修改订单优惠券
	 * @param bo 订单优惠券 编辑业务对象
	 * @return
	 */
	Boolean updateByEditBo(OrderCouponEditBo bo);

	/**
	 * 校验并删除数据
	 * @param ids 主键集合
	 * @param isValid 是否校验,true-删除前校验,false-不校验
	 * @return
	 */
	Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
